> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tally.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Creating workspaces

> Creates a new workspace and assigns the authenticated user as a member. Requires a Pro subscription.



## OpenAPI

````yaml POST /workspaces
openapi: 3.0.1
info:
  title: OpenAPI
  description: Tally's API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tally.so
security:
  - bearerAuth: []
paths:
  /workspaces:
    post:
      summary: Create a new workspace
      description: >-
        Creates a new workspace and assigns the authenticated user as a member.
        Requires a Pro subscription.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the workspace
              required:
                - name
      responses:
        '201':
          description: Workspace created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Workspace'
        '400':
          description: Invalid request body
        '401':
          description: Unauthorized
        '403':
          description: Forbidden - User doesn't have a Pro subscription
      security:
        - bearerAuth: []
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        members:
          type: array
          items:
            $ref: '#/components/schemas/User'
        invites:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              email:
                type: string
              workspaceIds:
                type: array
                items:
                  type: string
        createdByUserId:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - members
        - invites
        - createdByUserId
        - createdAt
        - updatedAt
    User:
      type: object
      properties:
        id:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        fullName:
          type: string
        email:
          type: string
        avatarUrl:
          type: string
          format: uri
          nullable: true
        organizationId:
          type: string
        isDeleted:
          type: boolean
        hasTwoFactorEnabled:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        subscriptionPlan:
          type: string
          enum:
            - FREE
            - PRO
            - BUSINESS
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````